/*
 * Copyright (c) 2011 CNRS/LAAS
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _FTDI_EMERGENCY_H_
#define _FTDI_EMERGENCY_H_

#define FE_USB_VENDOR  0x0403
#define FE_USB_PRODUCT 0x6001
#define FE_USB_DESCRIPTION "UM245R"

typedef struct FE_STR {
	struct ftdi_context *ctx;
	unsigned char pins;
} FE_STR;

#define fe_pins(fe) (((fe)->pins) & 0x7)

/* Semantics of the bits */
#define FE_STOP  0x01		/* hard stop - shuts motors down */
#define FE_PAUSE 0x02		/* soft stop - handled by rmp400-genom */
#define FE_CLEAR 0x03		/* clears the soft pause */

extern FE_STR *fe_init(const char *);
extern void fe_end(FE_STR *);
extern int fe_get_status(FE_STR *fe);

#endif
